Generation Framework

## org.eclipse.gmf.mappings
Interface GMFMapFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GMFMapFactoryImpl

    public interface GMFMapFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `GMFMapPackage`
** Generated **

Field Summary
`static GMFMapFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`AuditContainer` `createAuditContainer()` Returns a new object of class 'Audit Container'
`AuditedMetricTarget` `createAuditedMetricTarget()` Returns a new object of class 'Audited Metric Target'
`AuditRule` `createAuditRule()` Returns a new object of class 'Audit Rule'
`CanvasMapping` `createCanvasMapping()` Returns a new object of class 'Canvas Mapping'
`ChildReference` `createChildReference()` Returns a new object of class 'Child Reference'
`CompartmentMapping` `createCompartmentMapping()` Returns a new object of class 'Compartment Mapping'
`Constraint` `createConstraint()` Returns a new object of class 'Constraint'
`DesignLabelMapping` `createDesignLabelMapping()` Returns a new object of class 'Design Label Mapping'
`DiagramElementTarget` `createDiagramElementTarget()` Returns a new object of class 'Diagram Element Target'
`DomainAttributeTarget` `createDomainAttributeTarget()` Returns a new object of class 'Domain Attribute Target'
`DomainElementTarget` `createDomainElementTarget()` Returns a new object of class 'Domain Element Target'
`FeatureLabelMapping` `createFeatureLabelMapping()` Returns a new object of class 'Feature Label Mapping'
`FeatureSeqInitializer` `createFeatureSeqInitializer()` Returns a new object of class 'Feature Seq Initializer'
`FeatureValueSpec` `createFeatureValueSpec()` Returns a new object of class 'Feature Value Spec'
`LabelMapping` `createLabelMapping()` Returns a new object of class 'Label Mapping'
`LinkConstraints` `createLinkConstraints()` Returns a new object of class 'Link Constraints'
`LinkMapping` `createLinkMapping()` Returns a new object of class 'Link Mapping'
`Mapping` `createMapping()` Returns a new object of class 'Mapping'
`MetricContainer` `createMetricContainer()` Returns a new object of class 'Metric Container'
`MetricRule` `createMetricRule()` Returns a new object of class 'Metric Rule'
`NodeMapping` `createNodeMapping()` Returns a new object of class 'Node Mapping'
`NotationElementTarget` `createNotationElementTarget()` Returns a new object of class 'Notation Element Target'
`ReferenceNewElementSpec` `createReferenceNewElementSpec()` Returns a new object of class 'Reference New Element Spec'
`TopNodeReference` `createTopNodeReference()` Returns a new object of class 'Top Node Reference'
`ValueExpression` `createValueExpression()` Returns a new object of class 'Value Expression'
`GMFMapPackage` `getGMFMapPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final GMFMapFactory eINSTANCE

  The singleton instance of the factory.

  ** Generated **

Method Detail

### createNodeMapping

    NodeMapping createNodeMapping()

  Returns a new object of class 'Node Mapping'.

  Returns:
    a new object of class 'Node Mapping'.
  ** Generated **

### createCompartmentMapping

    CompartmentMapping createCompartmentMapping()

  Returns a new object of class 'Compartment Mapping'.

  Returns:
    a new object of class 'Compartment Mapping'.
  ** Generated **

### createLinkMapping

    LinkMapping createLinkMapping()

  Returns a new object of class 'Link Mapping'.

  Returns:
    a new object of class 'Link Mapping'.
  ** Generated **

### createCanvasMapping

    CanvasMapping createCanvasMapping()

  Returns a new object of class 'Canvas Mapping'.

  Returns:
    a new object of class 'Canvas Mapping'.
  ** Generated **

### createLabelMapping

    LabelMapping createLabelMapping()

  Returns a new object of class 'Label Mapping'.

  Returns:
    a new object of class 'Label Mapping'.
  ** Generated **

### createFeatureLabelMapping

    FeatureLabelMapping createFeatureLabelMapping()

  Returns a new object of class 'Feature Label Mapping'.

  Returns:
    a new object of class 'Feature Label Mapping'.
  ** Generated **

### createDesignLabelMapping

    DesignLabelMapping createDesignLabelMapping()

  Returns a new object of class 'Design Label Mapping'.

  Returns:
    a new object of class 'Design Label Mapping'.
  ** Generated **

### createMapping

    Mapping createMapping()

  Returns a new object of class 'Mapping'.

  Returns:
    a new object of class 'Mapping'.
  ** Generated **

### createChildReference

    ChildReference createChildReference()

  Returns a new object of class 'Child Reference'.

  Returns:
    a new object of class 'Child Reference'.
  ** Generated **

### createTopNodeReference

    TopNodeReference createTopNodeReference()

  Returns a new object of class 'Top Node Reference'.

  Returns:
    a new object of class 'Top Node Reference'.
  ** Generated **

### createConstraint

    Constraint createConstraint()

  Returns a new object of class 'Constraint'.

  Returns:
    a new object of class 'Constraint'.
  ** Generated **

### createLinkConstraints

    LinkConstraints createLinkConstraints()

  Returns a new object of class 'Link Constraints'.

  Returns:
    a new object of class 'Link Constraints'.
  ** Generated **

### createValueExpression

    ValueExpression createValueExpression()

  Returns a new object of class 'Value Expression'.

  Returns:
    a new object of class 'Value Expression'.
  ** Generated **

### createFeatureSeqInitializer

    FeatureSeqInitializer createFeatureSeqInitializer()

  Returns a new object of class 'Feature Seq Initializer'.

  Returns:
    a new object of class 'Feature Seq Initializer'.
  ** Generated **

### createFeatureValueSpec

    FeatureValueSpec createFeatureValueSpec()

  Returns a new object of class 'Feature Value Spec'.

  Returns:
    a new object of class 'Feature Value Spec'.
  ** Generated **

### createReferenceNewElementSpec

    ReferenceNewElementSpec createReferenceNewElementSpec()

  Returns a new object of class 'Reference New Element Spec'.

  Returns:
    a new object of class 'Reference New Element Spec'.
  ** Generated **

### createAuditContainer

    AuditContainer createAuditContainer()

  Returns a new object of class 'Audit Container'.

  Returns:
    a new object of class 'Audit Container'.
  ** Generated **

### createAuditRule

    AuditRule createAuditRule()

  Returns a new object of class 'Audit Rule'.

  Returns:
    a new object of class 'Audit Rule'.
  ** Generated **

### createDomainElementTarget

    DomainElementTarget createDomainElementTarget()

  Returns a new object of class 'Domain Element Target'.

  Returns:
    a new object of class 'Domain Element Target'.
  ** Generated **

### createDomainAttributeTarget

    DomainAttributeTarget createDomainAttributeTarget()

  Returns a new object of class 'Domain Attribute Target'.

  Returns:
    a new object of class 'Domain Attribute Target'.
  ** Generated **

### createDiagramElementTarget

    DiagramElementTarget createDiagramElementTarget()

  Returns a new object of class 'Diagram Element Target'.

  Returns:
    a new object of class 'Diagram Element Target'.
  ** Generated **

### createNotationElementTarget

    NotationElementTarget createNotationElementTarget()

  Returns a new object of class 'Notation Element Target'.

  Returns:
    a new object of class 'Notation Element Target'.
  ** Generated **

### createMetricContainer

    MetricContainer createMetricContainer()

  Returns a new object of class 'Metric Container'.

  Returns:
    a new object of class 'Metric Container'.
  ** Generated **

### createMetricRule

    MetricRule createMetricRule()

  Returns a new object of class 'Metric Rule'.

  Returns:
    a new object of class 'Metric Rule'.
  ** Generated **

### createAuditedMetricTarget

    AuditedMetricTarget createAuditedMetricTarget()

  Returns a new object of class 'Audited Metric Target'.

  Returns:
    a new object of class 'Audited Metric Target'.
  ** Generated **

### getGMFMapPackage

    GMFMapPackage getGMFMapPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.